# Mantainer: GiacoLenzo2109 <GiacoLenzo2109@gmail.com>
# Contributor: Stefano Capitani <stefanoatmanjarodotorg>
# Contributor: Mark Wagie <mark@manjaro.org>

pkgname=inxi
_pkgver=3.3.05-1
pkgver=${_pkgver//-/.}
pkgrel=1
pkgdesc="Full featured CLI system information tool"
arch=('any')
url="https://smxi.org/docs/inxi.htm"
license=('GPL')
depends=('util-linux' 'pciutils' 'perl' 'procps-ng')
optdepends=(
  "bind-tools: dig: -i wlan IP"
  "bluez-tools: bt-adapter: -E bluetooth data (if no hciconfig)"
#  "bluez-utils-compat: hciconfig: -E bluetooth data (deprecated, good report)"
  "curl: -i (if no dig); -w,-W; -U"
  "dmidecode: -M if no sys machine data; -m"
  'doas: -Dx hddtemp-user; -o file-user (alt for sudo)'
  "file: -o unmounted file system (if no lsblk)"
  "freeipmi: ipmi-sensors: -s IPMI sensors (servers)"
  "hddtemp: -Dx show hdd temp, if no drivetemp module"
  "iproute2: ip: -i ip LAN"
  "kmod: modinfo: Ax; -Nx module version"
  "ipmitool: -s IPMI sensors (servers)"
  "lm_sensors: sensors: -s sensors output"
  "mesa-demos: glxinfo: -G glx info"
  "net-tools: ifconfig: -i ip LAN (deprecated)"
  "perl-io-socket-ssl: -U; -w,-W; -i (if dig not installed)"
#  "perl-cpanel-json-xs: --output json - required for export"
  "perl-json-xs: --output json - required for export (legacy)"
#  "perl-xml-dumper: --output xml - Crude and raw"
  "smartmontools: smartctl: -Da advanced data"
  "systemd-sysvcompat: runlevel: -I fallback to Perl"
  "sudo: -Dx hddtemp-user; -o file-user"
  "tree: --debugger 20,21 /sys tree"
  "upower: -sx attached device battery info"
  "usbutils: lsusb: -A usb audio; -J (optional); -N usb networking"
  "wget: -i (if no dig); -w,-W; -U"
  "wmctrl: -S active window manager (fallback)"
  "xorg-xdpyinfo: xdpyinfo: -G multi screen resolution"
  "xorg-xprop: xprop: -S desktop data"
  "xorg-xrandr: xrandr: -G single screen resolution"
)
source=("${pkgname}-${_pkgver}.tar.gz::https://github.com/smxi/inxi/archive/${_pkgver}.tar.gz")
sha256sums=('SKIP')

package() {
    cd "${pkgname}-${_pkgver}"
    install -D -m755 $pkgname "$pkgdir/usr/bin/$pkgname"
    install -D -m644 $pkgname.1 "$pkgdir/usr/share/man/man1/$pkgname.1"
}

